Subject: bug#57556: 28.1; Eshell not finding executables in PATH when tramp-integration loaded

From: Richard Stallman <[email-masked]>
Date: Sun, 16 Oct 2022 16:51:28 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > My intent was to make that display as all-caps in the HTML documentation 
  > as well. In that excerpt, 'NAME' should always be an environment 
  > variable, so I used the capitalization conventions that env vars usually 
  > use. 'name', on the other hand, could be a Lisp variable or an env var.

It should be @var{name} to express that it is a metasyntactic variable
that stands for something called ``name''.

It is true that that the name it stands for will be the name of an
environment variable, but that is a secondary fact about it.  The most
crucial fact about this metasyntactic variable is that it is a
metasyntactic variable.  So we should format it like metasyntactic
variables, which is what @var does.

In formats which allow distinctions of type face, we should indicate this
with italics, and the metasyntactic variable name should be in lower case.
-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)